Subject: Re: [mpls] MPLS-RT rreview of draft-sitaraman-mpls-rsvp-shared-labels

From: Yimin Shen <[email-masked]>
Date: Thu, 28 Sep 2017 14:47:11 +0000

Dear Authors, WG Chairs, and colleagues,

I was selected as an MPLS-RT reviewer for draft-sitaraman-mpls-rsvp-shared-labels-02. I’ve now completed my review with the following consideration.

- The draft targets on decoupling RSVP protocol state from MPLS forwarding plane state, which is a well-known challenge in today’s scaling MPLS networks. 
- It introduces the “pop-and-forward” paradigm to RSVP LSPs to take advantage of the simplicity of the segment routing MPLS forwarding plane, which is an elegant and generic solution.
- It is well written in a coherent manner.

Therefore, I support this draft to be adopted as a WG document.

Besides that, I do have a few of other comments, and hope they can be addressed while the draft is progressing. However, these comments should not be considered as gating the adoption.

[1] In some places in sections 3 and 10, “SHOULD” may be replaced by “MUST”.

Example: An LSR SHOULD allocate a unique pop label for each TE link.

[2] The mechanism seems to apply to P2P LSP signaling only. It would be good if the draft can clarify that P2MP LSP signaling is out of scope or for future study.

[3] Delegation hop and delegation label.

It is worth clarifying in the draft that the cases of Figure-3 (i.e. Stack to Reach Delegation Hop) and Figure-4 (Stack to Reach Egress) may co-exist for a given delegation hop D. For example, LSP-1 may be signaled with the LSI-D-S2E flag, while LSP-2 (which also traverse from D to L) may be signaled without the LSI-D-S2E flag. D will need to allocate two distinct delegation labels to serve the two LSPs. This will help make this part easier to understand.

Regards,

-- Yimin Shen
Juniper Networks